Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder
Interface Transcoder

All Known Implementing Classes:
  AbstractTranscoder, ImageTranscoder, JPEGTranscoder, PNGTranscoder, PrintTranscoder, SVGAbstractTranscoder, SVGTranscoder, TIFFTranscoder, ToSVGAbstractTranscoder, WMFTranscoder, XMLAbstractTranscoder

    public interface Transcoder

This class defines an API for transcoding.

Method Summary
`void` | `addTranscodingHint(TranscodingHints.Key key, Object value)` Sets the value of a single preference for the transcoding process.
`ErrorHandler` | `getErrorHandler()` Returns the error handler this transcoder uses to report warnings and errors, or null if any.
`TranscodingHints` | `getTranscodingHints()` Returns the transcoding hints of this transcoder.
`void` | `removeTranscodingHint(TranscodingHints.Key key)` Removes the value of a single preference for the transcoding process.
`void` | `setErrorHandler(ErrorHandler handler)` Sets the error handler this transcoder may use to report warnings and errors.
`void` | `setTranscodingHints(Map hints)` Replaces the values of all preferences for the transcoding algorithms with the specified hints.
`void` | `setTranscodingHints(TranscodingHints hints)` Sets the values of all preferences for the transcoding algorithms with the specified hints.
`void` | `transcode(TranscoderInput input, TranscoderOutput output)` Transcodes the specified input in the specified output.

Method Detail

### transcode

    void transcode(TranscoderInput input,
                   TranscoderOutput output)
                   throws TranscoderException

  Transcodes the specified input in the specified output.

  Parameters:
    `input` - the input to transcode
    `output` - the ouput where to transcode
  Throws:
    `TranscoderException` - if an error occured while transcoding

### getTranscodingHints

    TranscodingHints getTranscodingHints()

  Returns the transcoding hints of this transcoder.

### addTranscodingHint

    void addTranscodingHint(TranscodingHints.Key key,
                            Object value)

  Sets the value of a single preference for the transcoding process.

  Parameters:
    `key` - the key of the hint to be set
    `value` - the value indicating preferences for the specified hint category.

### removeTranscodingHint

    void removeTranscodingHint(TranscodingHints.Key key)

  Removes the value of a single preference for the transcoding process.

  Parameters:
    `key` - the key of the hint to remove

### setTranscodingHints

    void setTranscodingHints(Map hints)

  Replaces the values of all preferences for the transcoding algorithms with the specified hints.

  Parameters:
    `hints` - the rendering hints to be set

### setTranscodingHints

    void setTranscodingHints(TranscodingHints hints)

  Sets the values of all preferences for the transcoding algorithms with the specified hints.

  Parameters:
    `hints` - the rendering hints to be set

### setErrorHandler

    void setErrorHandler(ErrorHandler handler)

  Sets the error handler this transcoder may use to report warnings and errors.

  Parameters:
    `handler` - to ErrorHandler to use

### getErrorHandler

    ErrorHandler getErrorHandler()

  Returns the error handler this transcoder uses to report warnings and errors, or null if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.